# -*- coding: utf-8 -*-
# Tässä pelissä läiskitään ympäriinsä lenteleviä hyttysiä

import pygame
import random
from math import sqrt
Musta = (0, 0, 0)  # Mustassa ei ole mitään valoa
Sin = (0, 0, 255)  # vain sinistä
Pun = (255, 0, 0)
Vihr = (0, 255, 0)
Valk = (255, 255, 255)  # valkoisessa on kaikenväristä valoa
Tausta = (160, 200, 255)

# Peli-ikkunan koko pikseleinä. Pikseli on piste näytöllä.
# Wx = 800
# Wy = 600
# Wxy = (Wx, Wy)  # peli-ikkunan korkeus ja leveys

Nayttotaajuus = 48  # Voit kokeilla eri näyttötaajuuksia
Dt = 1.0/Nayttotaajuus

# # # # # # # # # # # # # # # # # # # # # # # # # # #
# Pääohjelma alkaa tästä
# # # # # # # # # # # # # # # # # # # # # # # # # # #


pygame.display.init()
# Selvitetään peli-ikkunan koko näytöllä pikseleinä. Pikseli on piste näytöllä.
D_Info = pygame.display.Info()
Wx = D_Info.current_w
Wy = int(0.9*D_Info.current_h)
Wxy = (Wx, Wy)  # peli-ikkunan korkeus ja leveys

screen = pygame.display.set_mode((Wx, Wy))
pygame.display.set_caption(
    "Hyttysjahti")
pygame.init()
clock = pygame.time.Clock()
random.seed()

#
# Toistetaan allaolevaa while-silmukkaa, kunnes käyttäjä sulkee peli-ikkunan
# tai painaa ESC-iä
#

pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=512)

inina = pygame.mixer.music.load('Hyttynen_tasainen_inina.wav')
liiskaus = pygame.mixer.Sound('Hyttysen_liiskaus.wav')

loppu = False

pygame.mixer.music.play(-1)

while not loppu:

    clock.tick(Nayttotaajuus)

    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            loppu = True
        if event.type == pygame.KEYDOWN and event.key == pygame.K_ESCAPE:
            loppu = True

    screen.fill(Tausta)


    # näytetään kaikki yllä 'piirretty' näytöllä
    pygame.display.flip()
    #
    # while silmukka päättyy tähän
#
# Ohjelman loppu


pygame.quit()

